local util = require("util")
local window = require("window")
local entity = require("entity")

local m = entity:from{
    width = 50,
    height = 50,
    lines = {'fill', {0, 0, 50, 0, 40, 50, 10, 50}},
    items = {},
}

m.mousepressed = window.mousepressed(function (self, x, y, button)
    local i = inventory.selected_item
    if i then
        util.add_entity(self.items, i)
        inventory:use()
    elseif #self.items > 0 then
        local last = self.items[#self.items]
        util.del_entity(self.items, last)
        inventory:pickup(last)
    end
end)

return m
